Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Error when requiring rspec/core/rake_task on Windows with 1.8.6 #377

Closed
jeremyevans opened this Issue May 19, 2011 · 0 comments

Comments

Projects
None yet
2 participants

I didn't try this with 1.8.7, so I'm not sure if this is just a 1.8.6 thing. It doesn't happen on 1.9.2, though. If it is a 1.8.6 thing and RSpec is no longer supporting 1.8.6, required_ruby_version should be set in the gemspec. This problem is fairly easy to work around (define the HOME environment variable), here's the backtrace:

rake aborted!
couldn't find HOME environment -- expanding `~'
c:/ruby186/lib/ruby/gems/1.8/gems/rspec-core-2.6.0/lib/rspec/core/configuration_options.rb:6:in `expand_path'
c:/ruby186/lib/ruby/gems/1.8/gems/rspec-core-2.6.0/lib/rspec/core/configuration_options.rb:6
c:/ruby186/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
c:/ruby186/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
c:/ruby186/lib/ruby/gems/1.8/gems/rspec-core-2.6.0/lib/rspec/core.rb:18
c:/ruby186/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
c:/ruby186/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
c:/ruby186/lib/ruby/gems/1.8/gems/rspec-core-2.6.0/lib/rspec/core/rake_task.rb:3
c:/ruby186/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
c:/ruby186/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
L:/sequel/rakefile:97
c:/ruby186/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `load'
c:/ruby186/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `raw_load_rakefile'
c:/ruby186/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rakefile'
c:/ruby186/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
c:/ruby186/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rakefile'
c:/ruby186/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'
c:/ruby186/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
c:/ruby186/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
c:/ruby186/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
c:/ruby186/bin/rake:19:in `load'
c:/ruby186/bin/rake:19
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment